The Epic Vaporware 6. des, 2012 @ 7:25pm
wrong architecture
When I try to install steam for linux, I get an error:
gdebi steam.deb
Reading package lists... Done
Building dependency tree
Reading state information... Done
Building data structures... Done
This package is uninstallable
Wrong architecture 'i386'

Anybody know how I can fix this?
Sist redigert av The Epic Vaporware; 6. des, 2012 @ 7:26pm
Viser 1-15 av 33 kommentarer
< >
Naxiz 8. des, 2012 @ 2:33am 
Enter the following commands, followed by a return (say Y or enter your information when asked):
su
dpkg --add-architecture i386
apt-get update
apt-get install ia32-libs
dpkg -i steam.deb
apt-get -f install

Steam is now installed!
(replace steam.deb by the full path to steam.deb)
DrunkenYuleTideRambo 10. des, 2012 @ 8:54pm 
Ubuntu 11.04, have the above problem, I get this:

dpkg: unknown option --add-architecture
dude 11. des, 2012 @ 12:44pm 
I have the same problem on crunchbang 64-bit (kernel: 2.6.32, X.org 7.5). Help would be appreciated.
oats 11. des, 2012 @ 12:46pm 
I have the same problem, I'm using x86_64 Kubuntu 12.04.
Sist redigert av oats; 11. des, 2012 @ 12:46pm
An Infinite Number of Monkeys 11. des, 2012 @ 12:48pm 
You're running a 64-bit kernel. You need to install the ia32 compatibility libraries in order to install a 32-bit package. HaXaDoX's explanation above should set you right.
An Infinite Number of Monkeys 11. des, 2012 @ 12:49pm 
Ah. That should be --foreign-architecture instead of --add-architecture in his instructions above.
dude 11. des, 2012 @ 12:52pm 
Welp. It just says 'dpkg: unknown option --foreign-architecture'.
An Infinite Number of Monkeys 11. des, 2012 @ 12:54pm 
No: do a dpkg --version, please and uname -a
An Infinite Number of Monkeys 11. des, 2012 @ 12:55pm 
Oh, and dpkg --print-architecture please.
dude 11. des, 2012 @ 12:59pm 
Dpkg version: 'version 1.15.8.13 (amd64)'.
uname-a: 'Linux Crunchbang-PC 2.6.32-5-amd64 #1 SMP Sun Sep 23 10:07:46 UTC 2012 x86_64 GNU/Linux'
Dpkg print architecture: amd64
Am I doing something wrong?
An Infinite Number of Monkeys 11. des, 2012 @ 1:05pm 
No.: That's what I'm trying to figure out. 1sec.

No, you're not. Not exactly. Multiarchitecture support was added in dpkg 1.16 :)

see if doing --force-architecture instead will let you install that .deb. Also, what distro are you using?
dude 11. des, 2012 @ 1:08pm 
So I wrote in:
dpkg --force-architecture i386 steam.deb
And it said:
dpkg: need an action option
An Infinite Number of Monkeys 11. des, 2012 @ 1:11pm 
Ah...no i386 there. --force-architecture tells dpkg to ignore the package's arch.
dude 11. des, 2012 @ 1:11pm 
dpkg --force-architecture steam.deb
dpkg: need an action option
An Infinite Number of Monkeys 11. des, 2012 @ 1:12pm 
Oh...and you want to tell it to install, too, so this:

dpkg -i --force-architecture steam.deb
Sist redigert av An Infinite Number of Monkeys; 11. des, 2012 @ 1:12pm
Viser 1-15 av 33 kommentarer
< >
Per side: 15 30 50
Dato lagt ut: 6. des, 2012 @ 7:25pm
Innlegg: 33